For the complete documentation index, see llms.txt. This page is also available as Markdown.

RewardsByAsset

get

Retrieves all rewards for a specific asset

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • Account identifier for the request
Query parameters
chainIdstringRequired
  • Chain ID to target
addressstringRequired
  • Contract address
assetstringRequired
  • Asset address to query rewards for
Header parameters
AuthorizationstringRequired
  • Authorization token from the request header
Responses
200

Array of reward addresses available for the asset

application/json

Represents the structure of the API response for AAVE v3 rewards.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

datastring[]Optional

The data returned by the API, if any.

get/aave/v3/rewards/{account}/rewardsByAsset
GET /aave/v3/rewards/{account}/rewardsByAsset?chainId=text&address=text&asset=text HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

Array of reward addresses available for the asset

{
  "success": true,
  "message": "text",
  "data": [
    "text"
  ]
}